Subject: Re: linux-next: manual merge of the usb tree with the qcom tree

From: Bjorn Andersson <[email-masked]>
Date: Tue, 21 Sep 2021 06:28:38 -0700

On Tue 21 Sep 06:16 PDT 2021, Greg KH wrote:

> On Tue, Sep 21, 2021 at 06:12:06AM -0700, Bjorn Andersson wrote:
> > On Mon 20 Sep 19:30 PDT 2021, Stephen Rothwell wrote:
> > 
> > > Hi all,
> > > 
> > > Today's linux-next merge of the usb tree got a conflict in:
> > > 
> > >   arch/arm64/boot/dts/qcom/ipq6018.dtsi
> > > 
> > > between commit:
> > > 
> > >   261e8a95d9aa ("arm64: dts: qcom: ipq6018: add usb3 DT description")
> > > 
> > > from the qcom tree and commit:
> > > 
> > >   9da2c3f76164 ("arm64: qcom: ipq6018: add usb3 DT description")
> > > 
> > 
> > Greg, this is not a USB patch, can you please drop it from your tree.
> 
> It was sent to me and says "add usb3 DT description", so how am I
> supposed to know to reject it?
> 

It's a dts patch and as we saw in the last cycle bringing in patches
through other trees has a strong tendency to result in merge conflicts
down the road.

It seems like the patch was sent in a series together with driver
changes, so I presume you took the whole series. Unfortunately it's
quite common for these platform enablement efforts to be spread across
multiple subsystems and we keep seeing the series be grouped by function
rather than maintainer...

Not sure if there's anything to do about this.

> I'll go revert it from my tree.  {sigh}
> 

Thanks!

Regards,
Bjorn